﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ThinkGeo.Core;
using ThinkGeo.UI.Wpf;

namespace WpfAppCore
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            // Use BingMap Overlay
            mapView.MapUnit = GeographyUnit.Meter;
            mapView.CurrentExtent = MaxExtents.BingMaps;
            BingMapsOverlay bingMapsOverlay = new BingMapsOverlay("Your application id");
            bingMapsOverlay.TileCache = null;
            mapView.Overlays.Add(bingMapsOverlay);
            mapView.Refresh();

            //// Use BingMap Layer
            //mapView.MapUnit = GeographyUnit.Meter;
            //mapView.CurrentExtent = MaxExtents.BingMaps;
            //LayerOverlay layerOverlay = new LayerOverlay();
            //layerOverlay.MaxExtent = MaxExtents.BingMaps;
            //layerOverlay.TileSizeMode = TileSizeMode.Small;
            //mapView.Overlays.Add(layerOverlay);
            //BingMapsLayer bingMapsLayer = new BingMapsLayer();

            //bingMapsLayer.ApplicationId = "Your application id";
            //bingMapsLayer.MapType = BingMapsMapType.AerialWithLabels;
            //bingMapsLayer.TileCache = null;
            //layerOverlay.Layers.Add(bingMapsLayer); 
            //mapView.Overlays.Add(layerOverlay);
            //mapView.Refresh();
        }
    }
}
